# Gimp.Gradient.prototype.segment_range_set_blending_function

    function segment_range_set_blending_function(start_segment: Number(gint), end_segment: Number(gint), blending_function: Gimp.GradientSegmentType): Boolean {
        // Gjs wrapper for gimp_gradient_segment_range_set_blending_function()
    }

Sets the blending function of a range of segments

Sets the blending function of a range of segments. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

blending_function

  The blending function.

Returns

  TRUE on success.